Summary: Extended version of the GNOME terminal.
Name: multi-gnome-terminal
Version: 1.4.1
Release: fr1
License: GPL
Group: User Interface/Desktops
Source: http://multignometerm.sourceforge.net/multi-gnome-terminal-%{version}.tar.bz2
URL: http://multignometerm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.5, gnome-libs >= 1.0.59, gdk-pixbuf >= 0.7.0
BuildRequires: gtk+-devel, gnome-libs-devel, gdk-pixbuf-devel

%description
Multi Gnome Terminal offers a lot of useful and powerful extensions to the
gnome-terminal. The extensions are : multiple terminal support (as konsole),
various ways of switching to other terminals, changing the title of a
terminal, and many other keyboard controlled features...

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

# Current menu entry is all broken
cat > %{buildroot}%{_datadir}/gnome/apps/System/multi-gnome-terminal.desktop << EOF
[Desktop Entry]
Name=multi GNOME terminal
Comment=Enhanced Terminal emulation program
Exec=NO_XALF multi-gnome-terminal --use-factory --start-factory-server
Icon=mgt/multignometerm.png
Terminal=0
Type=Application
DocPath=multi-gnome-terminal/index.html
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/CORBA/servers/multi-gnome-terminal.gnorba
%{_bindir}/multi-gnome-terminal
%{_sbindir}/mgt-pty-helper
%{_datadir}/gnome/apps/System/multi-gnome-terminal.desktop
%{_datadir}/gnome/help/multi-gnome-terminal
%{_datadir}/idl/MultiTerminal.idl
%{_datadir}/mgt
%{_datadir}/omf/mgt
%{_datadir}/pixmaps/mgt
%{_mandir}/man1/multi-gnome-terminal.1*

%changelog
* Tue Apr 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.4.1.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

